Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt.comm
Class InputValues

    java.lang.Object
      lejos.nxt.comm.InputValues

    public class InputValues

extends Object

Sensor input values for a remote NXT accessed via LCP.

Author:
  Brian Bagnall

Field Summary
`short` | `calibratedValue` Currently unused.
`int` | `inputPort`
`boolean` | `isCalibrated`
`int` | `normalizedADValue` The normalized value from the Analog to Digital (AD) converter.
`int` | `rawADValue` The raw value from the Analog to Digital (AD) converter.
`short` | `scaledValue` The scaled value starts working after the first call to the sensor.
`int` | `sensorMode`
`int` | `sensorType`
`boolean` | `valid` NXT indicates if it thinks the data is valid

Constructor Summary
`InputValues()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### inputPort

    public int inputPort

### valid

    public boolean valid

  NXT indicates if it thinks the data is valid

### isCalibrated

    public boolean isCalibrated

### sensorType

    public int sensorType

### sensorMode

    public int sensorMode

### rawADValue

    public int rawADValue

  The raw value from the Analog to Digital (AD) converter.

### normalizedADValue

    public int normalizedADValue

  The normalized value from the Analog to Digital (AD) converter. I really don't know for sure which values are normalized yet. 0 to 1023

### scaledValue

    public short scaledValue

  The scaled value starts working after the first call to the sensor. The first value will be the raw value, but after that it produces scaled values. With the touch sensor, off scales to 0 and on scales to 1.

### calibratedValue

    public short calibratedValue

  Currently unused.

Constructor Detail

### InputValues

    public InputValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD